From 319c1f4c59b4174084673c47db2dfb7757cb49fc Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 01 2017 17:53:18 +0000
Subject: [PATCH 685/1001] Fixup the last commit (sorry)


---

diff --git a/hubs/tests/test_widget_routes.py b/hubs/tests/test_widget_routes.py
index be03bd8..7eae714 100644
--- a/hubs/tests/test_widget_routes.py
+++ b/hubs/tests/test_widget_routes.py
@@ -12,7 +12,7 @@ class WidgetRoutesTest(APPTest):
         super(WidgetRoutesTest, self).setUp()
         # Backup the URL map
         self._old_url_map = (
-            self.app.application.url_map._rules.copy(),
+            self.app.application.url_map._rules[:],
             self.app.application.url_map._rules_by_endpoint.copy()
             )
 
@@ -26,7 +26,11 @@ class WidgetRoutesTest(APPTest):
         super(WidgetRoutesTest, self).tearDown()
 
     def test_routes_variable(self):
-        mock_view = Mock(return_value='')
+        calls = []
+        def mock_view(*args, **kw):
+            calls.append({'args': args, 'kw': kw})
+            return ''
+        mock_view.__module__ = 'hubs.widgets.contact'
         hubs.widgets.contact.mock_view = mock_view
         hubs.widgets.contact.ROUTES = [{
             'rule': 'dummy-url',
@@ -47,15 +51,14 @@ class WidgetRoutesTest(APPTest):
             plugin="contact").first()
         self.app.get('/%s/%s/widget/dummy-url'
                      % (widget.hub.name, widget.idx))
-        self.assertTrue(mock_view.called)
-        call = mock_view.call_args_list[0]
+        self.assertEqual(len(calls), 1)
         # Check arguments: session and widget
-        self.assertEqual(call[0][0].__class__, self.session.__class__)
-        self.assertEqual(call[0][1], widget)
+        self.assertEqual(calls[0]["args"][0].__class__, self.session.__class__)
+        self.assertEqual(calls[0]["args"][1], widget)
 
     def test_decorator(self):
-        mock_view = Mock(return_value='')
-        mock_view.__name__ = 'mock_view'
+        def mock_view(*args, **kw):
+            return ''
         mock_view.__module__ = 'hubs.widgets.feed'
         hubs.widgets.feed.mock_view = hubs.widgets.base.widget_route(
             rule='dummy-url', endpoint='dummy-endpoint')(mock_view)
diff --git a/hubs/views/__init__.py b/hubs/views/__init__.py
index f388470..54f6bd1 100644
--- a/hubs/views/__init__.py
+++ b/hubs/views/__init__.py
@@ -37,7 +37,6 @@ def _widget_view_decorator(func):
 
 def _load_widget_views():
     for name, module in hubs.widgets.registry.items():
-        #print(module, hasattr(module, 'ROUTES'))
         for params in getattr(module, 'ROUTES', []):
             params["rule"] = "/<hub>/<int:idx>/widget/" \
                              + params["rule"].lstrip("/")

